net.dontdrinkandroot.lastfm.api.model

## Class Affiliations

- java.lang.Object
- - net.dontdrinkandroot.lastfm.api.model.LfmEntity
  - - net.dontdrinkandroot.lastfm.api.model.Affiliations

All Implemented Interfaces:
  Serializable, DownloadAffiliationsEntity, Entity, PhysicalAffiliationsEntity

    public class Affiliations
    extends LfmEntity
    implements PhysicalAffiliationsEntity, DownloadAffiliationsEntity

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Affiliations(Element element)` Construct Affiliations from a DOM `Element`.

### Method Summary

Methods
`List<Affiliation>` `getDownloadAffiliations()`
`List<Affiliation>` `getPhysicalAffiliations()`
`void` `setDownloadAffiliations(List<Affiliation> downloadAffiliations)`
`void` `setPhysicalAffiliations(List<Affiliation> physicalAffiliations)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Affiliations

    public Affiliations(Element element)

Construct Affiliations from a DOM `Element`.

Parameters:
  `element` - The `Element` to parse.

### Method Detail

#### getPhysicalAffiliations

    public List<Affiliation> getPhysicalAffiliations()

Specified by:
  `getPhysicalAffiliations` in interface `PhysicalAffiliationsEntity`

#### getDownloadAffiliations

    public List<Affiliation> getDownloadAffiliations()

Specified by:
  `getDownloadAffiliations` in interface `DownloadAffiliationsEntity`

#### setDownloadAffiliations

    public void setDownloadAffiliations(List<Affiliation> downloadAffiliations)

Specified by:
  `setDownloadAffiliations` in interface `DownloadAffiliationsEntity`

#### setPhysicalAffiliations

    public void setPhysicalAffiliations(List<Affiliation> physicalAffiliations)

Specified by:
  `setPhysicalAffiliations` in interface `PhysicalAffiliationsEntity`